#if !defined(AFX_DLGTUNELISTCONNECTIONS_H__4EC4C209_CADB_4DB9_9024_C3B6BDD3351E__INCLUDED_)
#define AFX_DLGTUNELISTCONNECTIONS_H__4EC4C209_CADB_4DB9_9024_C3B6BDD3351E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgTuneListConnections.h : header file
//

#include "aplNetStepData.h"
#include <apl_gui.h>
#include <afxwin.h>


/////////////////////////////////////////////////////////////////////////////
// CDlgTuneListConnections dialog

class CLASS_DECL_APL_NSD CDlgTuneListConnections : public CaplResizableDialog
{

// Construction
public:
	void RedrawList();
	CDlgTuneListConnections(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDlgTuneListConnections(); 
	int m_last_selected;
	CaplNetStepData *m_data;
	void MoveCtrl(CWnd &wnd, int cx, int cy, bool isMove = true);

	//BOOL OnToolTipShow( UINT id, NMHDR * pNMHDR, LRESULT * pResult );  ЯАИ:  Перенесено в CaplTranslateDialog

	bool m_bReadOnly;

	bool m_bExitAfterClose; // Выйти из приложения после закрытия окна
	
// Dialog Data
	//{{AFX_DATA(CDlgTuneListConnections)
	enum { IDD = IDD_DLG_TUNE_LIST_CONNECTIONS };
	CButton	m_CtrlClearUserList;
	CStatic	m_StatText;
	CButton	m_BtnUp;
	CButton	m_BtnDown;
	CaplButton	m_BtnOk;
	CaplButton	m_BtnCancel;
	CButton	m_BtnRemove;
	CButton	m_BtnEdit;
	CButton	m_BtnAdd;
	CButton m_BtnFind;
	CSortListCtrl	m_ListConnections;
	BOOL	m_ClearUserList;
	//}}AFX_DATA

	void CheckButton();
	void ActualizeList();
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgTuneListConnections)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// предотвращаем потерю модальности после диалога с бочками из aplSocketTransport
	CaplParentWndProcesser m_pwp;

	// Generated message map functions
	//{{AFX_MSG(CDlgTuneListConnections)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnAdd();
	afx_msg void OnRemove();
	afx_msg void OnEdit();
	afx_msg void OnDblclkListConnections(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnUp();
	afx_msg void OnDown();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnNMClickListConnections(NMHDR *pNMHDR, LRESULT *pResult);
	virtual BOOL DestroyWindow();
	afx_msg void OnBnClickedFind();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGTUNELISTCONNECTIONS_H__4EC4C209_CADB_4DB9_9024_C3B6BDD3351E__INCLUDED_)
